using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

public record Birth(DateOnly? Date,
                    string? Note,
                    List<string> Continue)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, BirthSourceGenerationContext.Default.Birth);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(Birth))]
internal partial class BirthSourceGenerationContext : JsonSerializerContext
{
}