using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

internal record H2WithCheckboxes(int Completed,
                                 string H2,
                                 int NotCompleted,
                                 int Total);

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(H2WithCheckboxes))]
internal partial class H2WithCheckboxesSourceGenerationContext : JsonSerializerContext
{
}